COPYEXPR(3)

NAME
copyExpr - copies an expression

SYNOPSYS
#include "logmmm.h"
chain_list *copyExpr(expr)
chain_list *expr;

PARAMETER

expr
    expression to copy

DESCRIPTION
copyExpr() creates a new ABL wich is strictly equal to expr.

EXAMPLE
#include "mutnnn.h"		/* mbk utilities */
#include "logmmm.h"
chain_list *expr1,*expr2;
expr1 = createExpr(OR);
addQExpr(expr1,createAtom("a"));
addQExpr(expr1,createAtom("b"));
expr2 = copyExpr(expr1);
displayExpr(expr1);
displayExpr(expr2);
/* it will display
(OR a b)
(OR a b)
*/
freeExpr(expr1);
freeExpr(expr2);

SEE ALSO
log(1), abl(1), substExpr(3), substPhyExpr(3), flatArityExpr(3), flatPolarityExpr(3), maxExpr(3), minExpr(3), sortExpr(3), normExpr(3).